### Method

# GtkSource Buffer set_language

#### Declaration [src]

    void
    gtk_source_buffer_set_language (
      GtkSourceBuffer* buffer,
      GtkSourceLanguage* language
    )

#### Description [src]

Associates a `GtkSourceLanguage` with the buffer.

Note that a `GtkSourceLanguage` affects not only the syntax highlighting, but also the context classes. If you want to disable just the syntax highlighting, see `gtk_source_buffer_set_highlight_syntax()`.

The buffer holds a reference to `language`.

Sets property | `GtkSource.Buffer:language`

#### Parameters

`language`

  Type: `GtkSourceLanguage`

  A `GtkSourceLanguage` to set, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.